Loading...
Searching...
No Matches
rpcmanager Class Reference

`#include <gnuradio/rpcmanager.h>`

## Classes

class | rpcserver_booter_register_helper

## Public Member Functions

| rpcmanager ()
| ~rpcmanager ()
Public Member Functions inherited from rpcmanager_base
| rpcmanager_base ()
| ~rpcmanager_base ()

## Static Public Member Functions

static rpcserver_booter_base * | get ()
static void | register_booter (rpcserver_booter_base *booter)

## Constructor & Destructor Documentation

## rpcmanager()

rpcmanager::rpcmanager | ( |  | ) |

## ~rpcmanager()

rpcmanager::~rpcmanager | ( |  | ) |

## Member Function Documentation

## get()

rpcserver_booter_base * rpcmanager::get | ( |  | ) |

static

Referenced by rpcbasic_register_get< T, Tfrom >::rpcbasic_register_get(), rpcbasic_register_get< T, Tfrom >::rpcbasic_register_get(), rpcbasic_register_get< T, Tfrom >::rpcbasic_register_get(), rpcbasic_register_get< T, Tfrom >::rpcbasic_register_get(), rpcbasic_register_handler< T >::rpcbasic_register_handler(), rpcbasic_register_set< T, Tto >::rpcbasic_register_set(), rpcbasic_register_set< T, Tto >::rpcbasic_register_set(), rpcbasic_register_trigger< T >::rpcbasic_register_trigger(), rpcbasic_register_trigger< T >::rpcbasic_register_trigger(), rpcbasic_register_get< T, Tfrom >::~rpcbasic_register_get(), rpcbasic_register_handler< T >::~rpcbasic_register_handler(), rpcbasic_register_set< T, Tto >::~rpcbasic_register_set(), and rpcbasic_register_trigger< T >::~rpcbasic_register_trigger().

## register_booter()

void rpcmanager::register_booter | ( | rpcserver_booter_base * | booter | ) |

static

Referenced by rpcmanager::rpcserver_booter_register_helper< T >::rpcserver_booter_register_helper().

The documentation for this class was generated from the following file:

- rpcmanager.h